Ubuntu

“python-defaults” 2.6.6-2ubuntu1 source package in Ubuntu

Changelog

python-defaults (2.6.6-2ubuntu1) maverick; urgency=low

  * Merge with Debian; remaining changes:
    - Package priorities and status.
    - Python-2.6 is the only supported python2.x version.
    - Adjust version numbers in maintainer scripts.

python-defaults (2.6.6-2) experimental; urgency=low

  [ Piotr Ożarowski ]
  * Add README.derivatives (source package)
  * dh_python2:
    - add dist_fallback file with a list of Python distribution name and
      Debian package name pairs (to be used as a fall back source for
      PyDist feature)
    - if dist_fallback and `dpkg -S` fails to find the right package name,
      fall back to package name recommended by Debian Python Policy (use
      debian/pydist-overrides file to override)
    - disable PyDist feature if dh_pydeb is in debian/rules
  * Use versioned interpreter name rather than "python" only in
    python-minimal.postinst (closes: 595826)

  [ Matthias Klose ]
  * python.mk (py_libdir): Return /usr/lib/python3/dist-packages for 3.x
    versions.
  * python.mk (py_pkgname): New macro to refer the package name depending
    on the python version.
 -- Matthias Klose <email address hidden>   Wed, 15 Sep 2010 21:05:52 +0200

Upload details

Uploaded by:
Matthias Klose on 2010-09-15
Uploaded to:
Maverick
Original maintainer:
Ubuntu Developers
Component:
main
Architectures:
all
Section:
python
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Builds

Maverick: [FULLYBUILT] i386

Downloads

File Size MD5 Checksum
python-defaults_2.6.6-2ubuntu1.tar.gz 144.9 KiB 2bace057d011d7f30d6d1f76d1263259
python-defaults_2.6.6-2ubuntu1.dsc 1.3 KiB 29398526ddb2ad57a9ddb8fd234e22d7

Available diffs

Binary packages built by this source

idle: No summary available for idle in ubuntu natty.

No description available for idle in ubuntu natty.

python: No summary available for python in ubuntu natty.

No description available for python in ubuntu natty.

python-all: No summary available for python-all in ubuntu natty.

No description available for python-all in ubuntu natty.

python-all-dbg: Package depending on all supported Python debugging packages

 The package currently depends on python2.6-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python development packages.

python-all-dev: Package depending on all supported Python development packages

 The package currently depends on python2.6-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python development packages.

python-dbg: No summary available for python-dbg in ubuntu natty.

No description available for python-dbg in ubuntu natty.

python-dev: Header files and a static library for Python (default)

 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 Includes the Python distutils, which were in a separate package up to
 version 1.5.2.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.6).

python-doc: Documentation for the high-level object-oriented language Python

 This is the official set of documentation for the interactive high-level
 object-oriented language Python (v2.6). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.6).

python-examples: Examples for the Python language (default version)

 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.6).

python-minimal: No summary available for python-minimal in ubuntu natty.

No description available for python-minimal in ubuntu natty.